package com.sheep.jiuyan.samllsheep.bean;

import com.sheep.gamegroup.absBase.IJump;
import com.sheep.gamegroup.absBase.ITag;

/**
 * Created by: zhoujuncai.
 * Created date: 2018/11/1.
 * Description: 用户中心item数据对象
 */
public class UserCenterModule implements IJump, ITag {

    /**
     * display:	integer ($int64)
     * 是否显示（1显示，2不显示）
     * update_time:	integer ($int64)
     * 更新时间
     * jump:	string
     * 跳转（0不跳转，1试玩赚钱，2邀请赚钱，3躺着赚钱，4办卡赚钱，5玩转游戏，6充值Q币，7微信辅助，8连续任务，9打卡赚钱，10.IOS充值卡，11.游戏任务，12.闲玩任务，13游戏代充，14幂动科技，15小米游戏，16ASO，17超维对决，98内部h5，99外部h5）
     * order:	integer ($int64)
     * 排序，默认99，越小越靠前
     * url:	string
     * 如果type是1，则需要填写url
     * create_time:	integer ($int64)
     * 创建时间，时间戳
     * desc:	string
     * 描述
     * platform:	integer ($int64)
     * 平台（0全平台，1安卓，2IOS）
     * title:	string
     * 标题
     * icon:	string
     * 图标地址
     * type:	integer ($int64)
     * 类型（0不跳转，1内部h5，2原生，3特殊，4浏览器h5）
     * tag:	integer ($int64)
     * 标签类型（0无，1热门，2最新，3现金，4活跃，5福利，6红包）
     * id:	integer ($int64)
     */
    private int create_time;
    private String desc;
    private int display;
    private String icon;
    private int id;
    private String jump;
    private int order;
    private int platform;
    private int tag;
    private String title;
    private int type;
    private int update_time;
    private String url;

    public int getCreate_time() {
        return create_time;
    }

    public void setCreate_time(int create_time) {
        this.create_time = create_time;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public int getDisplay() {
        return display;
    }

    public void setDisplay(int display) {
        this.display = display;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getJump() {
        return jump;
    }

    public void setJump(String jump) {
        this.jump = jump;
    }

    public int getOrder() {
        return order;
    }

    public void setOrder(int order) {
        this.order = order;
    }

    public int getPlatform() {
        return platform;
    }

    public void setPlatform(int platform) {
        this.platform = platform;
    }

    public int getTag() {
        return tag;
    }

    public void setTag(int tag) {
        this.tag = tag;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(int update_time) {
        this.update_time = update_time;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }
}
